Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CFB_CipherAbstractPolicy Class Reference
Inheritance diagram for CFB_CipherAbstractPolicy:

List of all members.

## Public Member Functions

virtual unsigned int | GetAlignment () const =0
virtual unsigned int | GetBytesPerIteration () const =0
virtual byte * | GetRegisterBegin ()=0
virtual void | TransformRegister ()=0
virtual bool | CanIterate () const
virtual void | Iterate (byte *output, const byte *input, CipherDir dir, size_t iterationCount)
virtual void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)=0
virtual void | CipherResynchronize (const byte *iv, size_t length)

## Detailed Description

Definition at line 162 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h